<?php
//<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
//sigurnost:
if (!defined('SIGURICA')) die('Nedozvoljen pristup!');
if ($prava_pristup_sadrzaj!=1) die('Nedozvoljen pristup!');

// list expected fields
$expected = array('q_naslov','q_link','q_opis','q_vidljivost','q_stylesheet','id_str','q_new_kat', 'new_datum', 'q_vijest_kratka', 'new_slika', 'q_thumb_sirina', 'q_thumb_visina', 'q_old_slika');
// set required fields
$required = array('q_naslov','id_str','q_new_kat');
// create empty array for any missing fields
$missing = array();

// process the $_POST variables
foreach ($_POST as $key => $value) {
	// assign to temporary variable and strip whitespace if not an array
	$temp = is_array($value) ? $value : trim($value);
	// if empty and required, add to $missing array
	if (empty($temp) && in_array($key, $required)) {
		array_push($missing, $key);
	}
	// otherwise, assign to a variable of the same name as $key
	elseif (in_array($key, $expected)) {
		${$key} = $temp;
		//${$key} = mysql_real_escape_string($temp);
	}
}
$error='';
$uspjeh='';
if (empty($missing))  {
	if ($id_kat!=$q_new_kat) {
		//velike promjene
		//ucitaj id_rubrike od nove kategorije
		$sql99="select id_rubrika from b7_kategorija where id_kategorija='$q_new_kat'";
		$rez99=mysql_query($sql99,$conn);
		$row = mysql_fetch_array($rez99);
		$q_new_rubrika=$row['id_rubrika'];
		//promjeni rubriku i kategoriju za b7_sadrzaj
		$result = mysql_query("update b7_sadrzaj set 							
							id_rubrika='$q_new_rubrika',
							id_kategorija='$q_new_kat'
							where id_sadrzaj='$id_str'");
		//promjeni rubriku i kategoriju za b7_paragraf
		$result = mysql_query("update b7_paragraf set 							
							id_rubrika='$q_new_rubrika',
							id_kategorija='$q_new_kat'
							where id_sadrzaj='$id_str'");
		//promjeni rubriku i kategoriju za b7_paragraf_slike
		$result = mysql_query("update b7_paragraf_slike set 							
							id_rubrika='$q_new_rubrika',
							id_kategorija='$q_new_kat'
							where id_sadrzaj='$id_str'");
		//promjeni rubriku i kategoriju za b7_paragraf_tekst
		$result = mysql_query("update b7_paragraf_tekst set 							
							id_rubrika='$q_new_rubrika',
							id_kategorija='$q_new_kat'
							where id_sadrzaj='$id_str'");
		//promjeni rubriku i kategoriju za b7_paragraf_upload
		$result = mysql_query("update b7_paragraf_upload set 							
							id_rubrika='$q_new_rubrika',
							id_kategorija='$q_new_kat'
							where id_sadrzaj='$id_str'");
		$id_kat=$q_new_kat;
	}
		
	//insert new data in database
	//uredi tekst
	$q_naslov=uredi_var($q_naslov);
	$q_link=uredi_var($q_link);
	$q_opis=uredi_var($q_opis);
	if ( $q_link == '' ) $q_link = $q_naslov;
	$q_vijest_kratka = uredi_var( $q_vijest_kratka );
	
	if ($q_opis=='#SUBKAT') {
		$q_opis.='/'.$q_link;
		$sql99="select naslov from b7_kategorija where id_kategorija='$q_link'";
		$rez99=mysql_query($sql99,$conn);
		$row = mysql_fetch_array($rez99);
		$q_link='Lista podlinkova iz kategorije '.$row['naslov'];
		$q_vidljivost=1;
	}
	
	
	
	//pripremi za unos u bazu
	$q_naslov_mysql=mysql_real_escape_string($q_naslov);
	$q_link_mysql=mysql_real_escape_string($q_link);
	$q_opis_mysql=mysql_real_escape_string($q_opis);
	$q_vijest_kratka = mysql_real_escape_string( $q_vijest_kratka );
	
	//uredi datum	
	//iz prosljeđenog datuma rasturi dan, mjesec i godinu
	$contents = explode(".", $new_datum);
	//naši dani u tjednu
	$weekday = array("Nedjelja","Ponedjeljak","Utorak","Srijeda","&#268;etvrtak","Petak","Subota");
	$q_datum_prikaz=$contents[2].'-'.$contents[1].'-'.$contents[0]; //zapis za bazu
	$new_date=strtotime($q_datum_prikaz);
	$wday=date("w","$new_date");
	$q_dan = $weekday[$wday];//zapis za bazu - dan u tjednu
	
	
	$result = mysql_query("update b7_sadrzaj set 							
							naslov='$q_naslov_mysql',
							link='$q_link_mysql',
							opis='$q_opis_mysql',
							vidljivost='$q_vidljivost',
							stylesheet='$q_stylesheet',
							user='$log_username',
							datum='$q_datum_prikaz',
							dan='$q_dan',
							uvod_tekst='$q_vijest_kratka'
							where id_sadrzaj='$id_str'");
	
	
	//ajmo sad za sliku
	//ako postoji slika, spremi je
	if ($_FILES['new_slika']['size']) {
		include ("func_uvod_img.php");		
	} else {
		$q_thumb_ime='';
		$q_thumb_sirina='0';
		$q_thumb_visina='0';			
	}
	
	if ( $q_thumb_ime ) {
		//prvo obriši staru sliku
		@unlink($parametar_slike_direktorij . $q_old_slika);
		//spremi novu sliku u bazu
		$result = mysql_query("update b7_sadrzaj set 							
							uvod_slika='$q_thumb_ime',
							uvod_slika_x='$q_thumb_sirina',
							uvod_slika_y='$q_thumb_visina'
							where id_sadrzaj='$id_str'");	
	}
	
	
	
						
	if (!$result) {
		$error.='Dogodila se greška pri zapisu u bazu: '.mysql_error();
	} else {
		$uspjeh.='Uspješno su promjenjeni parametri za stranicu <strong>'.$q_naslov.'</strong> u bazi<br />';
		
		//kreacija menija
		$sql70="select id_kategorija from b7_kategorija where opis='#MENU'";
		$rez70=mysql_query($sql70,$conn);
		if ($rez70) $num70=mysql_num_rows($rez70);
		if ($num70>0) {
			while ($row = mysql_fetch_array($rez70)) {
				kreiraj_meni($conn,$row['id_kategorija']);
			}
		}
		
	}				
	
	

} else {
	$error.='Nisu prosljeđene sve varijable potrebne za kreaciju zapisa u bazi';
}
?>
<div id="main_content">
<h1>Spremanje podataka u bazu</h1>
<?php
if ($error) echo '<div class="greska">'.$error.'</div>';
if ($uspjeh) echo '<div class="uspjeh">'.$uspjeh.'</div>';
?>
<br /><br />
<a href="glavna.php?modul=<?php echo $modul;?>&amp;akcija=display_stranice&amp;id_rub=<?php echo $id_rub;?>&amp;id_kat=<?php echo $id_kat;?>">Povratak...</a>
</div>